public class Banco {

   private Conta[] contas;
   private int indice;

   public Banco(int tamanho) {
      contas = new Conta[tamanho];
      indice = 0;
   }

   public void cadastrar(Conta conta) throws ContaJaCadastradaException {
      if( contem(conta.numero()) ) {
         throw (new ContaJaCadastradaException());
      }
      else {
         contas[indice] = conta;
         indice = indice + 1;
      }
   }

   public void creditar(String numero, double valor) throws ContaNaoEncontradaException {
      Conta c = consultar(numero);
      c.creditar(valor);
   }

   public void debitar(String numero, double valor) throws ContaNaoEncontradaException, SaldoInsuficienteException {
      Conta c = consultar(numero);
      if(c.saldo() < valor) {
         throw (new SaldoInsuficienteException());
      }
      else {
         c.debitar(valor);
      }
   }

   public void transferir(String numeroFrom, String numeroTo, double valor) throws ContaNaoEncontradaException, SaldoInsuficienteException {
      Conta from = consultar(numeroFrom);
      Conta to = consultar(numeroTo);
      if(from.saldo() < valor) {
         throw (new SaldoInsuficienteException());
      }
      else {
         from.debitar(valor);
         to.creditar(valor);
      }
   }

   public double saldo(String numero) throws ContaNaoEncontradaException {
      Conta c = consultar(numero);
      return c.saldo();
   }

   private Conta consultar(String numero) throws ContaNaoEncontradaException {
      Conta c = null;
      boolean achou = false;
      for(int i=0; (i<indice && !achou); i++) {
         if(contas[i].numero().equals(numero)) {
            c = contas[i];
            achou = true;
         }
      }
      if(c == null) {
         throw (new ContaNaoEncontradaException());
      }
      else {
         return c;
      }
   }

   private boolean contem(String numero) {
      boolean achou = false;
      for(int i=0; (i<indice && !achou); i++) {
         if(contas[i].numero().equals(numero)) {
            achou = true;
         }
      }
      return achou;
   }

}