/*
* Servlet que credita um dado valor em uma dada conta.
*
*/

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class ServletCadastrar extends HttpServlet { 
    
   Banco banco;

   public void init(ServletConfig config) {
      banco = Sistema.getBanco();
   }

   public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {
    	PrintWriter out;

      String numero = request.getParameter("numero");

    	// set content type and other response header fields first
      response.setContentType("text/html");
    	// then write the data of the response
    	out = response.getWriter();

        try {

            Conta conta = new Conta(numero);

            banco.cadastrar(conta);

            out.println(Library.getFile(Sistema.homePath+"cadastroExecutado.html"));

        }
        catch(ContaJaCadastradaException ex) {
            out.println(Library.getFile(Sistema.homePath+"contaJaCadastrada.html"));
        }
        catch(NullPointerException ex) {
            out.println(ex.getMessage());
        }
        catch(IOException ex) {
            out.println(ex.getMessage());
        }
        finally {
            out.close();
        }
    }

}