/*
* Servlet que credita um dado valor em uma dada conta.
*
*/

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class ServletTransferir extends HttpServlet { 
    
   Banco banco;

   public void init(ServletConfig config) {
      banco = Sistema.getBanco();
   }

   public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {
    	PrintWriter out;

      String numeroFrom = request.getParameter("numeroFrom");
      String numeroTo = request.getParameter("numeroTo");
      String valor = request.getParameter("valor");

    	// set content type and other response header fields first
      response.setContentType("text/html");
    	// then write the data of the response
    	out = response.getWriter();

        try {

            double val = (new Double(valor)).doubleValue();

            banco.transferir(numeroFrom, numeroTo, val);

            out.println(Library.getFile(Sistema.homePath+"transferenciaExecutada.html"));

        }
        catch(ContaNaoEncontradaException ex) {
            out.println(Library.getFile(Sistema.homePath+"contaNaoEncontrada.html"));
        }
        catch(SaldoInsuficienteException ex) {
            out.println(Library.getFile(Sistema.homePath+"saldoInsuficiente.html"));
        }
        catch(NullPointerException ex) {
            out.println(ex.getMessage());
        }
        catch(IOException ex) {
            out.println(ex.getMessage());
        }
        finally {
            out.close();
        }
    }

}